Subject: Re: linux-next: manual merge of the v4l-dvb tree with the arm-soc tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Mon, 14 Dec 2020 22:05:54 +0100

HI Stephen/Arnd/Olof,

Em Tue, 15 Dec 2020 07:30:37 +1100
Stephen Rothwell <[email-masked]> escreveu:

> Hi all,
> 
> On Tue, 8 Dec 2020 11:04:13 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the v4l-dvb tree got a conflict in:
> > 
> >   drivers/staging/media/sunxi/cedrus/cedrus.c
> > 
> > between commit:
> > 
> >   c6e95daab1cc ("media: cedrus: Remove the MBUS quirks")
> > 
> > from the arm-soc tree and commits:
> > 
> >   503dab0b8a56 ("media: cedrus: Register all codecs as capability")
> >   68b4a01f88af ("media: cedrus: Make VP8 codec as capability")
> > 
> > from the v4l-dvb tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> > 
> > -- 
> > Cheers,
> > Stephen Rothwell
> > 
> > diff --cc drivers/staging/media/sunxi/cedrus/cedrus.c
> > index d5fca10ea5b4,18d54f9fd715..000000000000
> > --- a/drivers/staging/media/sunxi/cedrus/cedrus.c
> > +++ b/drivers/staging/media/sunxi/cedrus/cedrus.c
> > @@@ -522,7 -584,11 +584,10 @@@ static const struct cedrus_variant sun5
> >   
> >   static const struct cedrus_variant sun50i_h6_cedrus_variant = {
> >   	.capabilities	= CEDRUS_CAPABILITY_UNTILED |
> > - 			  CEDRUS_CAPABILITY_H265_DEC,
> > + 			  CEDRUS_CAPABILITY_MPEG2_DEC |
> > + 			  CEDRUS_CAPABILITY_H264_DEC |
> > + 			  CEDRUS_CAPABILITY_H265_DEC |
> > + 			  CEDRUS_CAPABILITY_VP8_DEC,
> >  -	.quirks		= CEDRUS_QUIRK_NO_DMA_OFFSET,
> >   	.mod_rate	= 600000000,
> >   };
> >     
> 
> Just a reminder that this conflict still exists.

Thanks for the reminder! I ended forgetting about it.
Last week was hard for me, as I had several things to solve
before taking some vacations, including preparing for a talk on
an user's group that happened last Saturday.

In any case, Linus already pulled from my tree:

	https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=fab0fca1da5cdc48be051715cd9787df04fdce3a

So, I guess the best would be to either let Linus know about that
when he would be pulling from arm-soc, or to solve such conflict 
between upstream and arm-soc.

As I'm in PTO those days, in order to avoid further conflicts with
linux-next, I'll pull from Linus tree today.

Thanks,
Mauro

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel